local ADDON_NAME  = "SoSIconPack"
local MY_TEXTURES = {
    "SoSIconPack/icons/stabby.dds",
    "SoSIconPack/icons/SoS.dds",
    "SoSIconPack/icons/trebuguar.dds",
    "SoSIconPack/icons/pink1.dds",
    "SoSIconPack/icons/purple1.dds",
    "SoSIconPack/icons/guarbot.dds",
    "SoSIconPack/icons/buddykoala.dds",
    "SoSIconPack/icons/guarsome.dds",
    "SoSIconPack/icons/ninjaguar.dds",
    "SoSIconPack/icons/osha.dds",
    "SoSIconPack/icons/BantamGuar.dds",
    "SoSIconPack/icons/guarcamole.dds",
    "SoSIconPack/icons/GuareBear.dds",
    "SoSIconPack/icons/KoalaGuar.dds",
    "SoSIconPack/icons/tankguar.dds",
    "SoSIconPack/icons/healsguar.dds",
    "SoSIconPack/icons/dpsguar.dds",
    "SoSIconPack/icons/anglerguar.dds",
    "SoSIconPack/icons/darkGuarhood.dds",
    "SoSIconPack/icons/parachuteguar.dds",
    "SoSIconPack/icons/MrGuargers.dds",
    "SoSIconPack/icons/PlagueDrGuar.dds",
    "SoSIconPack/icons/jeff.dds",
    "SoSIconPack/icons/durzog.dds",
    "SoSIconPack/icons/needcoffee.dds",
    "SoSIconPack/icons/UndertakerGuar.dds",
    "SoSIconPack/icons/stabbythemurderguar.dds",
    "SoSIconPack/icons/smackies.dds",
    "SoSIconPack/icons/flamingforklift.dds",
    "SoSIconPack/icons/guarfish.dds",
    "SoSIconPack/icons/guarpridelove.dds",
    "SoSIconPack/icons/forkguar2.dds",
    "SoSIconPack/icons/frosttroll.dds",
    "SoSIconPack/icons/doneguar.dds",
    "SoSIconPack/icons/smackied.dds",
    "SoSIconPack/icons/guarfather.dds",
    "SoSIconPack/icons/gamerguar.dds",
    "SoSIconPack/icons/cozyguar2.dds",
    "SoSIconPack/icons/catnapguar.dds",
    "SoSIconPack/icons/ggt.dds",
    "SoSIconPack/icons/dragonicon.dds",
    "SoSIconPack/icons/dragoniconengaged.dds",
    "SoSIconPack/icons/dolmenicon.dds",
    "SoSIconPack/icons/worldbossicon.dds",
    "SoSIconPack/icons/skyshardicon.dds",
    "SoSIconPack/icons/atro.dds",
    "SoSIconPack/icons/craftingicon.dds",
    "SoSIconPack/icons/bankiconsimple.dds",
    "SoSIconPack/icons/TransmuteIcon.dds",
    "SoSIconPack/icons/mundus.dds",
    "SoSIconPack/icons/shovel.dds",
    "SoSIconPack/icons/red.dds",
    "SoSIconPack/icons/pink.dds",
    "SoSIconPack/icons/orange.dds",
    "SoSIconPack/icons/purple.dds",
    "SoSIconPack/icons/red2.dds",
    "SoSIconPack/icons/pink2.dds",
    "SoSIconPack/icons/orange2.dds",
    "SoSIconPack/icons/purple2.dds",
}
EVENT_MANAGER:RegisterForEvent( ADDON_NAME, EVENT_ADD_ON_LOADED, function( _, addonName )
    if addonName ~= ADDON_NAME then return end
    EVENT_MANAGER:UnregisterForEvent( ADDON_NAME, EVENT_ADD_ON_LOADED )
    -- check if OdySupportIcons is active and supports custom icon packs
    if OSI and OSI.AddCustomIconPack then
        -- add your list of icons
        OSI.AddCustomIconPack( MY_TEXTURES )
    end
end)